Package Gnumed :: Package timelinelib :: Package wxgui :: Module cursor :: Class Cursor |
[frames] | no frames]

# Class Cursor

source code

    object --+
             |
            Cursor

Instance Methods
__init__(self, x=0, y=0) x.__init__(...) initializes x; see help(type(x)) for signature | source code
__repr__(self) repr(x) | source code
has_moved(self) | source code
reset_move(self) | source code
move(self, x, y) | source code
Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
| x
| y
| pos
| start
| rect
Inherited from `object`: `__class__`

Method Details

### __init__(self, x=0, y=0) (Constructor) | source code
x.__init__(...) initializes x; see help(type(x)) for signature Overrides: object.__init__ (inherited documentation)

### __repr__(self) (Representation operator) | source code
repr(x) Overrides: object.__repr__ (inherited documentation)

Property Details

### x Get Method: unreachable.x(self)

### y Get Method: unreachable.y(self)

### pos Get Method: unreachable.pos(self)

### start Get Method: unreachable.start(self)

### rect Get Method: unreachable.rect(self)